/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: AtomMgr.h /main/10 1995/07/14 10:10:31 drk $ */
/*
*  (c) Copyright 1987, 1988, 1989, 1990, 1991, 1992 HEWLETT-PACKARD COMPANY */
#ifndef _XmAtomMgr_h
#define _XmAtomMgr_h

#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

/* 2.1.10 change CDExc23333*/
/* X11r5' XInternAtom equivalent */
extern Atom XmInternAtom(
        		Display *display,
        		String name,
#if NeedWidePrototypes
        		int only_if_exists );
#else
        		Boolean only_if_exists );
#endif /* NeedWidePrototypes */

/* X11r5's XGetAtomName equivalent */
extern String XmGetAtomName( Display *display, Atom atom);	

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration which encloses file. */
#endif

/* This macro name is confusing, and of unknown benefit.
 * #define XmNameToAtom(display, atom) \
 *      XmGetAtomName(display, atom)
 */

#endif /* _XmAtomMgr_h */
